[![Juju logo](doc/juju-logo.png?raw=true)](https://jujucharms.com/)

Simple, secure and stable devops tooling. 
Juju keeps complexity low and productivity high. 
Built to manage today’s complex application architectures wherever they are run.
 
Built for
- SRE and operations teams
- Developers
- Data engineers

Excels at
- Making your deployment understandable 
- Simplifying post-install operations, such as upgrades, updates and configuration management
- Managing hybrid-cloud services, whether on Kubernetes, VMs, bare metal or any combination

## Why Juju?

Juju increases your productivity and decreases your costs.

- **Increase confidence**  
 If you have ever put off upgrading something in production because something might break, then consider Juju.
 Juju allows applications to automatically negotiate their configuration, creating optimal settings dynamically.


- **Reduce complexity**  
 Microservices have made applications simpler, but operations more complex.
 Regain your understanding of the whole stack.


- **Strengthen operations knowledge**  
 Everyone has their in-house expert.
 Encapsulating their know-how in charms distributes that knowledge throughout the business.


- **Simplify day two and beyond**  
 Upgrades, provisioning new capacity, applying configuration changes can be subtle and difficult.
 Juju takes responsibility for them, as well as deployment.


 - **Maintain portability and repeatability**  
 Retain control over your deployment and eliminate the need for vendor-specific offerings.
 Your devops tooling should be cloud-agnostic and Kubernetes-aware.


## Get started

[Install Juju][] and [get started][] with your first project.

Read the [project’s documentation](https://jaas.ai/docs).

Explore questions and conversations on our [Discourse forum](https://discourse.jujucharms.com/).

Developers are welcome to read through our [contributing guidelines](CONTRIBUTING.md) to learn how to make code changes.

File bugs at our project [Launchpad](https://bugs.launchpad.net/juju/+filebug) site

Find out more, get help or ask questions on our [Freenode IRC channel](https://webchat.freenode.net/#juju).

  [Install Juju]: https://jaas.ai/docs/install
  [get started]: https://jaas.ai/docs/getting-started
